> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet Network

> Creates a Network row from a name and legacy TokenTypeEnum only.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-wallet-network
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-wallet-network:
    post:
      operationId: createWalletNetwork
      summary: Create Wallet Network
      description: |-
        Creates a Network row from a name and legacy TokenTypeEnum only.

        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWalletNetworkRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWalletNetworkResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateWalletNetworkRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 120
        tokenType:
          type: string
          enum:
            - ERC20
            - NATIVE
      required:
        - name
        - tokenType
    CreateWalletNetworkResponse:
      type: object
      properties:
        network:
          type: object
          properties:
            networkID:
              type: string
              format: uuid
            orgID:
              type: string
              format: uuid
            name:
              type: string
            icon:
              type:
                - string
                - 'null'
            tokenType:
              type: string
              enum:
                - ERC20
                - NATIVE
            isNetworkEnabled:
              type:
                - boolean
                - 'null'
            chainType:
              type:
                - string
                - 'null'
              enum:
                - EVM
                - SOLANA
                - XRPL
                - BITCOIN
                - COSMOS_SDK
                - FILECOIN
                - PROVENANCE
                - ALEO
                - FOGO
                - FIAT
                - NEAR
                - POLKADOT
                - STACKS
                - SUI
                - null
            meshConnectNetworkID:
              type:
                - string
                - 'null'
            evmChainID:
              type:
                - integer
                - 'null'
            multiSendCallOnlyAddress:
              type:
                - string
                - 'null'
            safeSingletonAddress:
              type:
                - string
                - 'null'
            safeFactoryAddress:
              type:
                - string
                - 'null'
            safeAppBaseUrl:
              type:
                - string
                - 'null'
            safeTxServiceUrl:
              type:
                - 'null'
                - 'null'
            blockExplorerBaseUrl:
              type:
                - string
                - 'null'
            eipsName:
              type:
                - string
                - 'null'
            aleoTransferVisibility:
              type:
                - string
                - 'null'
              enum:
                - PUBLIC
                - PUBLIC_TO_PRIVATE
                - PRIVATE
                - null
            defaultNetworkSlugUrl:
              type:
                - string
                - 'null'
            catalogChainID:
              type:
                - string
                - 'null'
              format: uuid
          required:
            - networkID
            - orgID
            - name
            - icon
            - tokenType
            - isNetworkEnabled
            - chainType
            - meshConnectNetworkID
            - evmChainID
            - multiSendCallOnlyAddress
            - safeSingletonAddress
            - safeFactoryAddress
            - safeAppBaseUrl
            - safeTxServiceUrl
            - blockExplorerBaseUrl
            - eipsName
            - aleoTransferVisibility
            - defaultNetworkSlugUrl
            - catalogChainID
      required:
        - network
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
